bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#30293: tramp-error: Package `tramp-archive' not supported on LOCAL f


From: Shuguang Sun
Subject: bug#30293: tramp-error: Package `tramp-archive' not supported on LOCAL folder
Date: Sun, 4 Feb 2018 22:52:26 +0800

Thanks Michael.

What to my supprise is not only the directory (.zip or .tar). The tramp should not be loaded for local folders or files. Is my understanding correct?

Now I can open the folde with ext of .zip or .tar. It still trigers the load of tramp.
And I try to open a local zip file. The file can be opened however it has the message "Error: (user-error "Package `tramp-archive' not supported")".
Sorry not test it last time.




On Wed, Jan 31, 2018 at 10:13 PM, Michael Albinus <address@hidden> wrote:
Shuguang Sun <address@hidden> writes:

Hi Shuguang,

> How to reproduce the bug:
> 1. create a Folder named "a.tar" or "a.zip" in local PC
> 2. load tramp
> 3. in dired, press Enter or dired-find-file on "a.tar" or "a.zip"
> 4. it reports: tramp-error: Package `tramp-archive' not supported

Same here, under GNU/Linux. However, why do you create a directory ("a
folder") with the extension .tar or .zip? These are intended as "file"
name extensions, not for directories.

Anyway, I've committed a patch to the master branch, which should fix
this. I hope this does not delay file archive operations too much,
because for every single magic file operation I have to check now,
whether the file archive is a directory.

Could you pls check whether this works for you?

> Best Regards,
> Shuguang Sun

Best regards, Michael.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]